package org.jtheque.films.services.impl.utils;

import org.jtheque.films.persistence.od.FilmImpl;
import org.jtheque.films.persistence.od.abstraction.Film;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * A video file.
 *
 * @author Baptiste Wicht
 */
public final class VideoFile {
    private final String file;
    private final FilmImpl film;

    /**
     * Create a new Video File.
     *
     * @param file The filepath.
     * @param film The film.
     */
    public VideoFile(String file, FilmImpl film) {
        super();

        this.file = file;
        this.film = film;
    }

    /**
     * Return the path to the file.
     *
     * @return The path to the file.
     */
    public String getFile() {
        return file;
    }

    /**
     * Return the film.
     *
     * @return The film.
     */
    public Film getFilm() {
        return film;
    }
}
