package org.jtheque.films.services.impl.utils.file.exports;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.films.utils.Constants.Files.FileType;

/**
 * Manage the file exports.
 *
 * @author Baptiste Wicht
 */
public final class ExportManager {
    /**
     * Construct a new ImportManager.
     */
    private ExportManager() {
        super();
    }

    /**
     * Backup the database to a file.
     *
     * @param fileType The type of file.
     * @param filepath The path to the file.
     */
    public static void backup(FileType fileType, String filepath) {
        Exporter exporter = ExporterFactory.getExporter(fileType);

        exporter.export(filepath);
    }
}