package org.jtheque.films.services.impl.utils.search;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.primary.od.abstraction.Data;

import java.util.List;

/**
 * Represents a Searcher. It's an object who can execute a research on a specific type of data.
 *
 * @author Baptiste Wicht
 * @param <T> The type of Data we search
 */
public interface Searcher<T extends Data> {
    /**
     * Search the results of the search.
     *
     * @param research The search
     * @return The results
     */
    List<T> search(Search<T> research);
}