package org.jtheque.films.view.impl.actions.sort;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.core.managers.view.impl.actions.JThequeSimpleAction;
import org.jtheque.films.services.able.IRealizersService;
import org.jtheque.films.view.able.IRealizerView;
import org.jtheque.primary.view.impl.sort.SortManager;

import javax.annotation.Resource;

import java.awt.event.ActionEvent;

/**
 * Cettte action permet de trier la liste des ralisateurs selon un certain ordre.
 *
 * @author Baptiste Wicht
 */
public final class AcSortRealizer extends JThequeSimpleAction {
    private static final long serialVersionUID = 1651417172586677829L;

    private final SortManager sorter = new SortManager();

    private final String sortType;

    @Resource
    private IRealizerView realizerView;

    /**
     * Construct a new AcSortRealisateur.
     *
     * @param key      The internationalization key.
     * @param sortType The type of sort.
     */
    public AcSortRealizer(String key, String sortType) {
        super();

        setTextKey(key);
        this.sortType = sortType;
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        realizerView.sort(sortType);
    }
}