package org.jtheque.films.view.impl.choiceActions;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.films.utils.Constants;
import org.jtheque.primary.controller.able.*;
import org.jtheque.primary.od.*;
import org.jtheque.primary.services.able.*;
import org.jtheque.primary.view.impl.choice.AbstractChoiceAction;

import javax.annotation.Resource;

/**
 * An action to modify the selected item.
 *
 * @author Baptiste Wicht
 */
public final class ModifyChoiceAction extends AbstractChoiceAction {
    @Resource
    private IKindController kindController;
    
    @Resource
    private ITypeController typeController;
    
    @Resource
    private ILanguageController languageController;
    
    @Resource
    private ICountryController countryController;
    
    @Resource
    private IBorrowerController borrowerController;
    
    @Resource
    private ISagaController sagaController;
    
    @Override
    public boolean canDoAction(final String action) {
        return "edit".equals(action);
    }

    @Override
    public void execute() {
        if (IKindsService.DATA_TYPE.equals(getContent())) {
            kindController.editKind((KindImpl) getSelectedItem());
            kindController.displayView();
        } else if (ITypesService.DATA_TYPE.equals(getContent())) {
            typeController.editType((TypeImpl) getSelectedItem());
            typeController.displayView();
        } else if (ILanguagesService.DATA_TYPE.equals(getContent())) {
            languageController.editLanguage((LanguageImpl) getSelectedItem());
            languageController.displayView();
        } else if (ICountriesService.DATA_TYPE.equals(getContent())) {
            countryController.editCountry((CountryImpl) getSelectedItem());
            countryController.displayView();
        } else if (Constants.BORROWERS.equals(getContent())) {
            borrowerController.editBorrower((BorrowerImpl) getSelectedItem());
            borrowerController.displayView();
        } else if (ISagasService.DATA_TYPE.equals(getContent())) {
            sagaController.editSaga((SagaImpl) getSelectedItem());
            sagaController.displayView();
        }
    }
}