package org.jtheque.films.view.impl.models;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.core.managers.view.able.components.IModel;

import java.util.ArrayList;
import java.util.List;

/**
 * A model for the auto import view.
 *
 * @author Baptiste Wicht
 */
public final class AutoImportModel implements IModel {
    /* Variables */
    private List<String> titles;

    /**
     * Return the results of the search.
     *
     * @return A list of the results of the search.
     */
    public List<String> getTitles() {
        if (titles == null) {
            titles = new ArrayList<String>(8);
        }

        return titles;
    }

    /**
     * Set the results of the search.
     *
     * @param titles The results to set.
     */
    public void setTitles(List<String> titles) {
        this.titles = new ArrayList<String>(titles);
    }
}