package org.jtheque.films.view.impl.models;

/*
 * This file is part of JTheque.
 *
 * JTheque is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * JTheque is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with JTheque.  If not, see <http://www.gnu.org/licenses/>.
 */

import org.jtheque.core.managers.view.able.components.IModel;

/**
 * A model for the filmography view.
 *
 * @author Baptiste Wicht
 */
public final class FilmographyModel implements IModel {
    private Object filmo;
    private boolean builded;

    /**
     * Set the filmography.
     *
     * @param filmo The filmography.
     */
    public void setFilmo(Object filmo) {
        this.filmo = filmo;
    }

    /**
     * Return the filmography.
     *
     * @return The filmography.
     */
    public Object getFilmo() {
        return filmo;
    }

    /**
     * Set the flag indicating if the view is builded or not.
     */
    public void setBuilded() {
        builded = true;
    }

    /**
     * Indicate if the view is builded or not.
     *
     * @return true if the view is builded else false,.
     */
    public boolean isBuilded() {
        return builded;
    }
}